Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.context
Class FacesContextFactoryImpl

    java.lang.Object
      javax.faces.context.FacesContextFactory
          org.apache.myfaces.context.FacesContextFactoryImpl

public class FacesContextFactoryImpl
extends javax.faces.context.FacesContextFactory

DOCUMENT ME!

Version:
  $Revision: 278654 $ $Date: 2005-09-04 20:32:35 -0400 (Sun, 04 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: oros $)

Constructor Summary
`FacesContextFactoryImpl()`

Method Summary
`javax.faces.context.FacesContext` | `getFacesContext(java.lang.Object context, java.lang.Object request, java.lang.Object response, javax.faces.lifecycle.Lifecycle lifecycle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesContextFactoryImpl

    public FacesContextFactoryImpl()

Method Detail

### getFacesContext

    public javax.faces.context.FacesContext getFacesContext(java.lang.Object context,
                                                            java.lang.Object request,
                                                            java.lang.Object response,
                                                            javax.faces.lifecycle.Lifecycle lifecycle)
                                                     throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD